#include <bits/stdc++.h>

using namespace std;


int main()
{
    vector<string> res;
    int T;
    cin >> T;
    for(int i = 0; i <= T; i++){
        int N;
        cin >> N;
        int A;
        for(int j = 0; j < N; j++){
            int x;
            cin >> x;
            if(x != 0 ){
                A = x;
            }
        }
        for(int j = 0; j < N; j++){
            int y;
            cin >> y;
            if(y != 0){
                if(y == -(A)){
                    res.push_back("DA");
                }
                else{
                    if(j = N - 1){
                        res.push_back("NE");
                    }
                }
            }
        }
    }
    for(int i = 0; i < res.size(); i++){
            cout << res[i] << endl;
        }
    return 0;
}